For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add a trigger to a handling

Add a trigger to a handling

Required permissions: HANDLING

post
/tenants/{tenantUid}/handlings/{handlingUid}/triggers
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
handlingUidstringRequired

Reference to an handling id.

Pattern: ^[A-Za-z0-9-_]+
Body
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATEDeprecated: set expiry date on order. Not in use, and will be removed
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringOptional
handlingTriggerUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
204

Example response

application/json
activebooleanRequired
triggerstring · enumRequired
ENUMDescription
AUTO_PRINT_PICKUP_LABELSAuto-print pickup labels when order is parked or confirmed
SET_EXPIRY_DATEDeprecated: set expiry date on order. Not in use, and will be removed
Possible values:
statestring · enumRequired
ENUMDescription
NOT_STARTEDHandling has not been started.
IN_PROGRESSHandling is in progress.
ON_HOLDHandling is paused (on hold).
COMPLETEHandling is complete.
Possible values:
valuestringRequired
handlingTriggerUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/handlings/{handlingUid}/triggers
POST /v2/tenants/{tenantUid}/handlings/{handlingUid}/triggers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}
204

Example response

{
  "active": true,
  "trigger": "AUTO_PRINT_PICKUP_LABELS",
  "state": "NOT_STARTED",
  "value": "text",
  "handlingTriggerUid": "text"
}

Last updated

Was this helpful?